# Ogre::set< T, P, A > Struct Template Reference

`#include <OgrePrerequisites.h>`

List of all members.

## Public Types

typedef std::set< T, P, A > | type

## Detailed Description

### template<typename T, typename P = std::less<T>, typename A = STLAllocator<T, GeneralAllocPolicy>>
struct Ogre::set< T, P, A >

Definition at line 487 of file OgrePrerequisites.h.

## Member Typedef Documentation

template<typename T, typename P = std::less<T>, typename A = STLAllocator<T, GeneralAllocPolicy>>

typedef std::set<T, P, A> Ogre::set< T, P, A >::type

Definition at line 490 of file OgrePrerequisites.h.

The documentation for this struct was generated from the following file:

- OgrePrerequisites.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:15